Subject: bug#49489: 28.0.50; C-z hangs emacs in i3wm

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 10 Jul 2021 18:38:05 +0200

Ergus <[email-masked]> writes:

> Recently I found that when I send C-z by accident to a gui emacs in i3wm
> it hangs until I select another window and select it back again.

Just to confirm that it's indeed the iconification that makes Emacs
hang, can you try

M-: (iconify-frame) RET

?

> i3wm does not support minimize windows, most of the applications just
> ignore when the user tries to minimize; but don't hang. (Something that
> does not happen very often either because most of the users disable the
> window borders)
>
> Is it possible to detect when the window manager does not support
> minimize or that the frame was not really minimized?

I think the window manager can announce whether it supports
iconification or not, but I'm not very familiar with that stuff myself.
Anybody else know?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no